<div class="d-flex flex-column" *ngIf="request; else loading">
  <app-status-bar [initialStatus]="mapStatus(request.status)"></app-status-bar>
  <div class="align-self-center"><h2>{{request.title}}</h2></div>
  <div class="d-flex">
    <div class="col-6 d-flex flex-column">
      <div>
        <div class="d-flex flex-column ">
          <div class="row d-flex justify-content-between">
            <div class="col-6">
              <dl class="row">
                <dt class="col-sm-6">{{'view.updateDate' | translate}}</dt>
                <dd class="col-sm-6">{{request.updateDate}}</dd>
              </dl>
            </div>
            <div class="col-6 pull-right">
              <app-button-controls [request]="request" (requestChange)="buttonClicked($event)"></app-button-controls>
            </div>
          </div>
        </div>

        <section>
          <h2>{{'view.ownerUserInfo' | translate}}</h2>
          <dl class="row">

            <dt class="col-sm-3">{{'view.firstName' | translate}}</dt>
            <dd class="col-sm-9">{{request.firstName}}</dd>
            <dt class="col-sm-3">{{'view.lastName' | translate}}</dt>
            <dd class="col-sm-9">{{request.lastName}}</dd>
            <dt class="col-sm-3">{{'view.email' | translate}}</dt>
            <dd class="col-sm-9">{{request.email}}</dd>
            <dt class="col-sm-3">{{'view.phone' | translate}}</dt>
            <dd class="col-sm-9">{{request.phone}}</dd>
          </dl>
        </section>
        <section>
          <h2>{{'view.requestInfo' | translate}}</h2>
          <dl class="row">

            <dt class="col-sm-3">{{'view.description' | translate}}</dt>
            <dd class="col-sm-9" [innerHTML]="request.description">{{request.description}}</dd>
            <dt class="col-sm-3">{{'view.requestDate' | translate}}</dt>
            <dd class="col-sm-9">{{request.requestDate}}</dd>
            <dt class="col-sm-3" *ngIf="loginService.isLawyer">{{'view.billable' | translate}}</dt>
            <dd class="col-sm-9" *ngIf="loginService.isLawyer">
              <input type="checkbox" (change)="isBillableChanged($event)"
                     [checked]="request.isBillable"/>
            </dd>
          </dl>
        </section>
      </div>
      <app-chat [comments]="request.comments" [isDisabled]="isChatDisabled" [(request)]="request"></app-chat>
    </div>
    <app-related-docs [request]="request"></app-related-docs>
  </div>
</div>


<ng-template #loading>
  Loading stuff...
</ng-template>
